Subject: Re: [PATCH 0/27] Documentation: Spelling fixes

From: Andreas Ericsson <[email-masked]>
Date: Wed, 07 Jun 2006 10:53:31 +0200

Nikolai Weibull wrote:
> On 6/5/06, Andreas Ericsson <[email-masked]> wrote:
> 
>> Nikolai Weibull wrote:
>> > On 6/4/06, Junio C Hamano <[email-masked]> wrote:
>> >
>> >> Most do not seem to be typoes, depending on where you learned
>> >> the language (XYZour vs XYZor; ok, Ok, and OK; ie vs i.e.).
>> >
>> > Where do you write "ie" instead of "i.e."?
>> >
>>
>> Mailing lists, online conversations, tech docs written in code
>> editors...
> 
> 
> Do you mean that code editors usually don't let you enter a dot into
> the buffer, or what?
> 

No, I mean that people are lazy when writing online and for an audience 
that broadly share the same sort of text-digesting mind, so they don't 
bother with the dots.

>> Compare with online'ish abbrevs (afaict, iirc, imo, fyi).
> 
> 
> That's hardly the same thing.

Why not? Both are examples of one-letter-per-word abbreviations.

>  Most people would upcase AFAICT, IIRC,
> IMO, and FYI.
> 

True, but both forms are common enough. I guess I'm one of the lazier 
ones, since I regularly use lower-case.

> I wouldn't group "i.e." with such abbreviations in any case.  (Hehe.)
> 

I fail to see why not. I also fail to care very much, so feel free not 
to respond. ;)

> 
>> When each character of the abbrev defines one complete word dots are
>> just prettiness-noise, their presence or absence decided by the gravity
>> of the meaning ("R.I.P." vs "ie"). Obviously, correctness never hurts
>> but this is, on two accounts, punktknulleri.
> 
> 
> Considering that people don't want to get stuck on trying to
> understand what the word "ie" is supposed to mean in a manual page
> they're trying to understand what some command does (this happened to
> me), I really think that fucking with the dots is called for.
> 
> Anyway, the general guidelines recommended by "The Chicago Manual of 
> Style" are:
> 
> Use periods with abbreviations that appear in lowercase letters; use
> no periods with abbreviations that appear in full capitals or small
> capitals, whether two letters or more.
> 
> One possible solution is to expand "i.e." to "that is" (or something
> equally befitting) and "e.g." to "for example", "such as", or similar.
> 

This is most likely the best solution as it's easier for foreign readers 
with limited proficiency in reading english and english abbreviations 
borrowed from latin, as they don't make sense if you try to put in 
english words matching the abbreviation, dots or no dots.  This gave me 
quite a headache when I was twelve and tried to install Linux for the 
first time :)

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231